Package org.apache.nutch.scoring.webgraph

## Class LinkDumper.LinkNode

- java.lang.Object
- - org.apache.nutch.scoring.webgraph.LinkDumper.LinkNode

- All Implemented Interfaces:
    `Writable`
  Enclosing class:
    LinkDumper

      public static class LinkDumper.LinkNode
      extends Object
      implements Writable

  Bean class which holds url to node information.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LinkNode()` |
    `LinkNode​(String url, Node node)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Node` | `getNode()` |
    `String` | `getUrl()` |
    `void` | `readFields​(DataInput in)` |
    `void` | `setNode​(Node node)` |
    `void` | `setUrl​(String url)` |
    `void` | `write​(DataOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LinkNode

          public LinkNode()

    - #### LinkNode

          public LinkNode​(String url,
                          Node node)

  - ### Method Detail

    - #### getUrl

          public String getUrl()

    - #### setUrl

          public void setUrl​(String url)

    - #### getNode

          public Node getNode()

    - #### setNode

          public void setNode​(Node node)

    - #### readFields

          public void readFields​(DataInput in)
                          throws IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `IOException`

    - #### write

          public void write​(DataOutput out)
                     throws IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `IOException`